Skip to main content
GET
List subscriptions
v1 · Base URL https://api.fintoc.com/v1

Authorizations

Authorization
string
header
required

Query Parameters

since
string<date-time>

ISO 8601 datetime. Limits the results to subscriptions created at this datetime or after.

Example:

"2021-01-01T00:00:00.000Z"

until
string<date-time>

ISO 8601 datetime. Limits the results to subscriptions created at this datetime or before.

Example:

"2021-12-31T00:00:00.000Z"

page
integer

Page number to retrieve. Starts at 1.

Example:

1

per_page
integer

Number of subscriptions per page. Defaults to 30. The maximum is 300.

Example:

30

Response

List of subscriptions for the current mode.

id
string
required

Unique identifier of the subscription.

Example:

"sub_m7N9rAWJS9dWDKEe"

object
any
required

Type of the object. Always subscription.

account
object
required

Represents the bank account a payer authorized for a subscription.

created_at
string<date-time>
required

ISO 8601 timestamp, in UTC, of when the subscription was created.

Example:

"2023-03-08T15:24:11Z"

mode
enum<string>
required

Mode of the object. live objects use real institution data, test objects use fake data for integration testing.

Available options:
test,
live
Example:

"live"

reference_id
string
required

Identifier the payer's bank uses to display the subscription on the bank's portal. Defaults to the account holder's ID when not provided on creation.

Example:

"ABC12345"

status
enum<string>
required

Status of the subscription. One of pending (the bank has not confirmed the subscription yet), active (the subscription accepts charges), or canceled (the subscription no longer accepts charges).

Available options:
pending,
active,
canceled
Example:

"active"